Ankündigung

Einklappen
Keine Ankündigung bisher.

Plugins werden nicht geladen

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    Plugins werden nicht geladen

    Guten Abend zusammen,

    mir ist aufgefallen das keine Plugins geladen werden. Ich wollte das clock Plugin in: Meta, Plugins laden aber es steht nur loading und nichts passiert.
    Geht das nur bei mir nicht? Und wenn, woran kann das liegen?

    lg Sean

    #2
    Wenn es grundsätzlich nicht gehen würde gäbe es sicher schon einige Fehlermeldungen.

    Welche Version nutzt Du denn? Wie installiert? Gibt es Fehler in der JavaScript-Konsole?
    TS2, B.IQ, DALI, WireGate für 1wire so wie Server für Logik und als KNX Visu die CometVisu auf HomeCockpit Minor. - Bitte keine PNs, Fragen gehören in das Forum, damit jeder was von den Antworten hat!

    Kommentar


      #3
      Moin Chris,

      ich hab die 0.11.2 händisch mit Winscp auf das Wiregate gepackt. Da aber zb das Metal Design auch nicht funktioniert, denk ich hab ich da schon irgendwas falsch gemacht (Bin aber auch der totale DaU)
      wo und wie kann ich denn die Konsole sehen?

      lg Sean

      Kommentar


        #4
        Die Konsole von der ich gesprochen habe kommt im Web-Browser per Strg+Shift+I. Dort gibt es "Console" mit einigen Nachrichten. Gerade die, die rot sind sind besonders relevant.

        Die 0.11.2 sollte sich schon per SCP auf dem WireGate installieren lassen. Jedoch wird da nicht die neue Version des Clock-Plugin zur Verfügung stehen.
        TS2, B.IQ, DALI, WireGate für 1wire so wie Server für Logik und als KNX Visu die CometVisu auf HomeCockpit Minor. - Bitte keine PNs, Fragen gehören in das Forum, damit jeder was von den Antworten hat!

        Kommentar


          #5
          Werd ich heute Abend mal anschauen!

          lg Sean

          Kommentar


            #6
            Nabend, hier der Auszug der Konsole.CV.JPG

            Kommentar


              #7
              Ist der 404 vom favicon.ico der einzige Fehler? Denn der ist sehr unkritisch.

              Was ich aber komisch finde: warum schaut der direkt auf "wiregate530/" und nicht im Unterverzeichnis in dem die CometVisu liegen sollte?
              In welches Verzeichnis hast Du die denn kopiert?
              Und welche URL hast Du im Browser aufgerufen?
              TS2, B.IQ, DALI, WireGate für 1wire so wie Server für Logik und als KNX Visu die CometVisu auf HomeCockpit Minor. - Bitte keine PNs, Fragen gehören in das Forum, damit jeder was von den Antworten hat!

              Kommentar


                #8
                Hi Chris,
                im Browser steht: Wiregate530/cometvisu/editor/editor.html?config=HausTest
                Das Verzeichnis ist:/var/www
                Da hab ich einen Ordner erstellt:Cometvisu-0.11.2

                Kommentar


                  #9
                  Wenn die Datei /var/www/cometvisu nicht zufälliger Weise ein Link auf /var/www/Cometvisu-0.11.2 darstellt, wird Wiregate530/cometvisu/ nicht wie gewünscht funktionieren.

                  Was passiert denn, wenn Du im Browser die URL Wiregate530/Cometvisu-0.11.2/ öffnest?
                  Am besten dort gleich mal den Manager, also Wiregate530/Cometvisu-0.11.2/manager.php öffnen und a) kontrollieren, dass es die Version 0.11.2 ist und b) einen Config-Check über die gewünschte Config laufen lassen
                  TS2, B.IQ, DALI, WireGate für 1wire so wie Server für Logik und als KNX Visu die CometVisu auf HomeCockpit Minor. - Bitte keine PNs, Fragen gehören in das Forum, damit jeder was von den Antworten hat!

                  Kommentar


                    #10
                    Hallo Chris,

                    erstmal vielen Dank für deine Zeit die du für mich opferst!


                    Zitat von Chris M. Beitrag anzeigen
                    Was passiert denn, wenn Du im Browser die URL Wiregate530/Cometvisu-0.11.2/ öffnest?
                    The requested URL /Cometvisu-0.11.2/ was not found on this server.

                    Hiermit komme ich auch nicht in den Manager: Wiregate530/Cometvisu-0.11.2/manager.php

                    Ich hatte mal den Link in /var/www/cometvisu auf /var/www/Cometvisu-0.11.2 angepasst. Wenn ich 192.168.178.25/cometvisu/manager.php eingebe komme ich direkt in den Manager.

                    Version ist 0.11.2

                    Ich hab eben mal die 0.9.2 geöffnet und kann dort alle Plugins benutzen. In dem Ornder der 0.11.2 fehlt zb der Ordner designs und plugins. Wenn ich die händisch darein kopiere funktionieren die nicht im Manager.

                    Wie funktioniert denn ein Config-Check? Nach dem speichern im Manager ist alles Ok.

                    LG Sean

                    Kommentar


                      #11
                      Zwischen der 0.9.2 und der 0.11.2 liegen ca. drei Jahre und ein deutlicher Umbau unter der Haube. Da geht ein einfaches rüber kopieren der Designs und Plugins nicht - was aber kein Problem sein dürfte, denn die sollten alle auch im neuen Release enthalten sein (oder waren schon zu 0.9.2 Zeiten kaputt).

                      Wenn im Manager aber die 0.11.2 steht, dann sollte die Umstellung und Installation funktioniert haben.
                      (Warum die URL nicht gefunden wird weiß ich nicht, könnte es sein, dass bei Du bei Deinen Angaben mit der Groß-/Klein-Schreibung durcheinander gekommen bist?)

                      Für den Config-Check am einfachsten im Manager auf den Button in der Spalte "Überprüfen" klicken.
                      TS2, B.IQ, DALI, WireGate für 1wire so wie Server für Logik und als KNX Visu die CometVisu auf HomeCockpit Minor. - Bitte keine PNs, Fragen gehören in das Forum, damit jeder was von den Antworten hat!

                      Kommentar


                        #12
                        Alles Klar, ich dachte der Manager überprüft nach jedem speichern.

                        The config file uses a library version of '11', current version is '8', so this is NOT up to date. Please run Configuration Upgrade when you are sure that the config file is valid XML.

                        Das kam bei der Überprüfung raus!

                        Und das wenn ich auf Configuration Upgrade klicke: ERROR: configuration claims the be of a higher version than this library really is

                        Kommentar


                          #13
                          Eigentlich sollte ein Config-Upgrade auch über mehrere Versionen gehen...

                          Kannst Du mir die Config mal mailen (mail @ christianmayer . de)? Dann kann ich mal schauen wo es hakt.
                          TS2, B.IQ, DALI, WireGate für 1wire so wie Server für Logik und als KNX Visu die CometVisu auf HomeCockpit Minor. - Bitte keine PNs, Fragen gehören in das Forum, damit jeder was von den Antworten hat!

                          Kommentar


                            #14
                            Guten Morgen,

                            Mail ist raus!

                            LG Sean

                            Kommentar


                              #15
                              Woher kommt denn in der Datei im <pages>-Element das lib_version="11"?
                              Das verwirrt den Check - zu Recht. Denn die Konfig-Dateien sind "erst" bei Version 8 angekommen...

                              Wenn ich das per Hand zurück ändere läuft der Config-Check bei mir sauber durch (sowohl in 0.11.2 als auch in der aktuellen Entwicklungsversion).
                              Und die Datei lässt sich auch normal in der Visu anzeigen.
                              TS2, B.IQ, DALI, WireGate für 1wire so wie Server für Logik und als KNX Visu die CometVisu auf HomeCockpit Minor. - Bitte keine PNs, Fragen gehören in das Forum, damit jeder was von den Antworten hat!

                              Kommentar

                              Lädt...
                              X